ospipsv: XOspiPsv_Msg Struct Reference

| ospipsv Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XOspiPsv_Msg Struct Reference
Ospipsv_v1_1

This typedef contains configuration information for a flash message. More...

## Data Fields
u8 * | TxBfrPtr
| Write buffer pointer. More...
u8 * | RxBfrPtr
| Read buffer pointer. More...
u32 | ByteCount
| Number of bytes to read or write. More...
u32 | Flags
| Used to indicate the Msg is for TX or RX. More...
u8 | Opcode
| Opcode/Command. More...
u32 | Addr
| Device Address. More...
u8 | Addrsize
| Size of address in bytes. More...
u8 | Addrvalid
| 1 if Address is required for opcode, 0 otherwise More...
u8 | Dummy
| Number of dummy cycles for opcode. More...
u8 | Proto
| Indicate number of Cmd-Addr-Data lines. More...
u8 | IsDDROpCode
| 1 if opcode is DDR command, 0 otherwise More...

## Detailed Description

This typedef contains configuration information for a flash message.

## Field Documentation

u32 XOspiPsv_Msg::Addr

Device Address.

Referenced by FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashSetSDRDDRMode(), XOspiPsv_IntrHandler(), and XOspiPsv_IntrTransfer().

u8 XOspiPsv_Msg::Addrsize

Size of address in bytes.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), and XOspiPsv_IntrTransfer().

u8 XOspiPsv_Msg::Addrvalid

1 if Address is required for opcode, 0 otherwise

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), XOspiPsv_IntrHandler(), and XOspiPsv_IntrTransfer().

u32 XOspiPsv_Msg::ByteCount

Number of bytes to read or write.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), XOspiPsv_IntrHandler(), and XOspiPsv_IntrTransfer().

u8 XOspiPsv_Msg::Dummy

Number of dummy cycles for opcode.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), and XOspiPsv_IntrTransfer().

u32 XOspiPsv_Msg::Flags

Used to indicate the Msg is for TX or RX.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), XOspiPsv_IntrHandler(), and XOspiPsv_IntrTransfer().

u8 XOspiPsv_Msg::IsDDROpCode

1 if opcode is DDR command, 0 otherwise

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), and FlashSetSDRDDRMode().

u8 XOspiPsv_Msg::Opcode

Opcode/Command.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), and XOspiPsv_IntrTransfer().

u8 XOspiPsv_Msg::Proto

Indicate number of Cmd-Addr-Data lines.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), and FlashSetSDRDDRMode().

u8* XOspiPsv_Msg::RxBfrPtr

Read buffer pointer.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), XOspiPsv_IntrHandler(), and XOspiPsv_IntrTransfer().

u8* XOspiPsv_Msg::TxBfrPtr

Write buffer pointer.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), and XOspiPsv_IntrTransfer().